#! /usr/bin/env node

import commands from './commands';

const yargs = require('yargs/yargs');
const { hideBin } = require('yargs/helpers');
const args = yargs(hideBin(process.argv)).argv;

(() => {
  Object.keys(args)
    .filter((arg) => (commands as any)[arg])
    .forEach((arg) => {
      (commands as any)[arg]();
    });
})();
